Do I need a smartphone to use Onzo?

Yep, a smartphone with either iOS or Android (at least version 4.4.4.) is required to use the Onzo App.